package Member;

import java.util.List;

import vofiles.EmpVOmember;

interface MemberBean {

    public boolean input(String fileName);

    public void execute(String fileName);


    public EmpVOmember executeReturn(String fileName);

    //全件検索用のインターフェース
    public List<EmpVOmember> executeReturnAll(String fileName);

    //検索用のインターフェース
    public EmpVOmember executeReturn(String fileName, String checkNumber, String checkMenuname, String checkDetails);

    //挿入用のインターフェース
    EmpVOmember executeInsertReturn(String fileName, String[] emp);

    void execute();

    List<EmpVOmember> executeReturnAll();

    boolean input();


}
